Package com.trilead.ssh2.packets

# Class PacketUserauthRequestPassword

java.lang.Object
com.trilead.ssh2.packets.PacketUserauthRequestPassword

public class PacketUserauthRequestPassword extends Object
PacketUserauthRequestPassword.

## Constructor Summary

Constructors
Constructor
Description
`PacketUserauthRequestPassword(byte[] payload, int off, int len)`
`PacketUserauthRequestPassword(String serviceName, String user, String pass)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketUserauthRequestPassword

public PacketUserauthRequestPassword(String serviceName, String user, String pass)

### PacketUserauthRequestPassword

public PacketUserauthRequestPassword(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()